package com.dcsoft.system.vehicle.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 收费配置对象 car_charge
 *
 * @author nichun
 * @date 2024-01-19
 */
public class CarCharge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 所属车场 */

    private Long parkId;
    @Excel(name = "所属车场")
    private String parkName;
    /** 计费名称 */
    @Excel(name = "计费名称")
    private String name;

    /** 计费类型 */
    @Excel(name = "计费类型")
    private String type;

    /** 免费时长 */
    @Excel(name = "免费时长")
    private Long timeLong;

    /** 收费金额 */
    @Excel(name = "收费金额")
    private BigDecimal chargeMoney;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    private List<CarChargeItem> itemList = new ArrayList<CarChargeItem>();

    public List<CarChargeItem> getItemList() {
        return itemList;
    }

    public void setItemList(List<CarChargeItem> itemList) {
        this.itemList = itemList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setParkId(Long parkId)
    {
        this.parkId = parkId;
    }

    public Long getParkId()
    {
        return parkId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setTimeLong(Long timeLong)
    {
        this.timeLong = timeLong;
    }

    public Long getTimeLong()
    {
        return timeLong;
    }
    public void setChargeMoney(BigDecimal chargeMoney)
    {
        this.chargeMoney = chargeMoney;
    }

    public BigDecimal getChargeMoney()
    {
        return chargeMoney;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public String getParkName() {
        return parkName;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parkId", getParkId())
            .append("name", getName())
            .append("type", getType())
            .append("timeLong", getTimeLong())
            .append("chargeMoney", getChargeMoney())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
